#pragma once

#include "ReferenceCounter.h"
#include "Thread.h"

namespace Framework
{
    class Text;
    class Font;

    class MultiplChoiceDialog : public virtual ReferenceCounter
    {
    private:
        RCArray<Text>* entrys;
        Array<void*>* ids;

    public:
        DLLEXPORT MultiplChoiceDialog();
        DLLEXPORT ~MultiplChoiceDialog();
        //! Adds a selection option
        DLLEXPORT void addChoice(const char* text, void* id);
        //! Shows the dialog and waits for user input
        DLLEXPORT void* show(Font* zFont);
    };
} // namespace Framework